CommitDistributionException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: CommitDistributionException

Package org.apache.geode.cache

# Class CommitDistributionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheException
org.apache.geode.cache.TransactionException
org.apache.geode.cache.CommitDistributionException

All Implemented Interfaces:
  `Serializable`

public class CommitDistributionException extends TransactionException
Indicates that an attempt to notify required participants of a transaction involving one or more regions that are configured with `MembershipAttributes` may have failed. The commit itself was completed but one or more regions affected by the transaction have one or more required roles that were not successfully notified. Failure may be caused by departure of one or more required roles while sending the operation to them. This exception will contain one `RegionDistributionException` for every region that had a reliability failure. Details of the failed `required roles` are provided in each RegionDistributionException.

Since:
  GemFire 5.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitDistributionException(String s)`
  Constructs a `CommitDistributionException` with a message.
  `CommitDistributionException(String s, Set regionDistributionExceptions)`
  Constructs a `CommitDistributionException` with a message and a cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set`
  `getRegionDistributionExceptions()`
  Returns set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation.

  ### Methods inherited from class org.apache.geode.cache.CacheException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommitDistributionException

    public CommitDistributionException(String s)
    Constructs a `CommitDistributionException` with a message.
    Parameters:
      `s` - the String message

  - ### CommitDistributionException

    public CommitDistributionException(String s, Set regionDistributionExceptions)
    Constructs a `CommitDistributionException` with a message and a cause.
    Parameters:
      `s` - the String message
      `regionDistributionExceptions` - set of RegionDistributionExceptions for each region that had a reliability failure

- ## Method Details

  - ### getRegionDistributionExceptions

    public Set getRegionDistributionExceptions()
    Returns set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation.
    Returns:
      set of RegionDistributionExceptions for each region that had a reliability failure during distribution of the operation